package com.bonus.canteen.core.menu.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("下发菜谱")
public class IssueRecipeMealVO implements Serializable {
   @ApiModelProperty("自定义id")
   private Integer customId;
   @ApiModelProperty("餐品名称")
   private String productName;
   @ApiModelProperty("热量(千卡/100g)")
   private Double calories;
   @ApiModelProperty("蛋白质(g/100g)")
   private Double protein;
   @ApiModelProperty("脂肪(g/100g)")
   private Double fat;
   @ApiModelProperty("碳水化合物(g/100g)")
   private Double carbohydrate;
   @ApiModelProperty("膳食纤维(g/100g)")
   private Double dietaryFiber;
   @ApiModelProperty("胆固醇(mg/100g)")
   private Double cholesterol;
   @ApiModelProperty("钙(mg/100g)")
   private Double calcium;
   @ApiModelProperty("钠(mg/100g)")
   private Double sodium;
   @ApiModelProperty("菜品类型id")
   private Long typeId;
   @ApiModelProperty("菜品类型名称")
   private String typeName;
   @ApiModelProperty("总嘌呤含量(mg/100g)")
   private Double purine;
   @ApiModelProperty("碘(μg/100g)")
   private Double iodine;
   @ApiModelProperty("菜品初始推荐分值")
   private Integer initialScore;
   @ApiModelProperty("菜品图片")
   private String foodImage;

   public Integer getCustomId() {
      return this.customId;
   }

   public String getProductName() {
      return this.productName;
   }

   public Double getCalories() {
      return this.calories;
   }

   public Double getProtein() {
      return this.protein;
   }

   public Double getFat() {
      return this.fat;
   }

   public Double getCarbohydrate() {
      return this.carbohydrate;
   }

   public Double getDietaryFiber() {
      return this.dietaryFiber;
   }

   public Double getCholesterol() {
      return this.cholesterol;
   }

   public Double getCalcium() {
      return this.calcium;
   }

   public Double getSodium() {
      return this.sodium;
   }

   public Long getTypeId() {
      return this.typeId;
   }

   public String getTypeName() {
      return this.typeName;
   }

   public Double getPurine() {
      return this.purine;
   }

   public Double getIodine() {
      return this.iodine;
   }

   public Integer getInitialScore() {
      return this.initialScore;
   }

   public String getFoodImage() {
      return this.foodImage;
   }

   public void setCustomId(final Integer customId) {
      this.customId = customId;
   }

   public void setProductName(final String productName) {
      this.productName = productName;
   }

   public void setCalories(final Double calories) {
      this.calories = calories;
   }

   public void setProtein(final Double protein) {
      this.protein = protein;
   }

   public void setFat(final Double fat) {
      this.fat = fat;
   }

   public void setCarbohydrate(final Double carbohydrate) {
      this.carbohydrate = carbohydrate;
   }

   public void setDietaryFiber(final Double dietaryFiber) {
      this.dietaryFiber = dietaryFiber;
   }

   public void setCholesterol(final Double cholesterol) {
      this.cholesterol = cholesterol;
   }

   public void setCalcium(final Double calcium) {
      this.calcium = calcium;
   }

   public void setSodium(final Double sodium) {
      this.sodium = sodium;
   }

   public void setTypeId(final Long typeId) {
      this.typeId = typeId;
   }

   public void setTypeName(final String typeName) {
      this.typeName = typeName;
   }

   public void setPurine(final Double purine) {
      this.purine = purine;
   }

   public void setIodine(final Double iodine) {
      this.iodine = iodine;
   }

   public void setInitialScore(final Integer initialScore) {
      this.initialScore = initialScore;
   }

   public void setFoodImage(final String foodImage) {
      this.foodImage = foodImage;
   }
}
